LINUX.ORG.RU

Выпуск AMD Catalyst 14.04

 , , , ,


0

0

Состоялся релиз проприетарного драйвера для видеокарт на чипах AMD/ATI — Catalyst 14.04.

Список изменений:

  • Добавлена поддержка видеокарт AMD Radeon R9 295X;
  • Поддержка Ubuntu 12.04.4;
  • Полная поддержка OpenGL 4.4 и сопутствующих OpenGL-расширений;
  • Исправлено множество проблем и ошибок.

Загрузить

>>> Подробности

Какие версии kernel и x-server поддерживаются? Опять отставание от мейнстрима на полгода-год?

carasin ★★★★★ ()
Ответ на: комментарий от carasin

Системные требования: Перед установкой драйвера AMD Catalyst ™ Linux Graphics, следующее программное обеспечение должно быть установлено:

  • Xorg/Xserver 7.4 и выше (up to 1.14)
  • Linux kernel 2.6 или выше (up to 3.11)
  • glibc version 2.2 или 2.3
  • POSIX Shared Memory (/dev/shm) support is required for 3D applications
garik_keghen ★★★★★ ()
Ответ на: комментарий от garik_keghen

Речь кагбэ вот про что:

$ rpm -qa | egrep "kernel-3|xorg-x11-server-Xorg-1|glibc-2"
glibc-2.18-12.fc20.x86_64
xorg-x11-server-Xorg-1.14.4-7.fc20.x86_64
kernel-3.14.0-1.fc20.x86_64
glibc-2.18-12.fc20.i686
kernel-3.13.7-200.fc20.x86_64
kernel-3.14.1-200.fc20.x86_64

carasin ★★★★★ ()
Ответ на: комментарий от garik_keghen

на ноуте ущербный оптимус, которые не настроен даже.

То-то и оно! А на свободном AMD всё пашет «искаропки», такие дела ;)

Одно хорошо: недавно в nouveau запилили автоотключение дискретки в простое — хоть по дефолту nvidia будет отключена.

carasin ★★★★★ ()
Последнее исправление: carasin (всего исправлений: 1)
Ответ на: комментарий от carasin

А, ну тогда все ок. 3.13 щас стоит на ноуте. Надеюсь, что когда-нибудь оптимус доведут до ума. Т.к. городить костыли нет желания.

garik_keghen ★★★★★ ()
Ответ на: комментарий от garik_keghen

Надеюсь, что когда-нибудь оптимус доведут до ума.

Вряд ли. Ещё года 4 и интеловские видеокарты догонят NVidia по производительности и отпадёт надобность встраивать в ноутбуки две видеокарты.

anonymous ()

А компилятор OpenCL все такой же кривой?

anonymous ()

Самое главное не написал: на карточках поколения «radeonsi» в unigine valley подняли фреймрейт более чем на 25%. (по сравнению с 13.12)

haku ★★★★★ ()
Последнее исправление: haku (всего исправлений: 1)
Ответ на: комментарий от garik_keghen

Специально для тебя прогнал только что Unigine Valley на тех и тех дровах, результаты даже меня удивили:

ati-drivers-13.12
ati-drivers-14.3_beta

+92% к фреймрейту, очень хорошо.

haku ★★★★★ ()
Последнее исправление: haku (всего исправлений: 2)
Ответ на: комментарий от garik_keghen

Linux kernel 2.6 или выше (up to 3.11)

Когда там 3.11 вышло, полгода назад? Впрочем, после

Поддержка Ubuntu 12.04.4

удивляться нечему.

Valkeru ★★★★ ()
Ответ на: комментарий от Valkeru

Думай что пишешь — вон на 13-м ядре работает всё отлично.

haku ★★★★★ ()

Отлично. Хорошие драйверы с единственным недостатком - проприетарность. В остальном то, что надо, чтобы дотянуть до полноценного свободного драйвера.

Quasar ★★★★★ ()
Ответ на: комментарий от haku

Бенчмарки это хорошо. Но это твои личные результаты. На офф. сайте в чейнжлоге этого нет. И это уже не бета. Если такой прирост, то мои поздравления амдшникам!

garik_keghen ★★★★★ ()
Ответ на: комментарий от garik_keghen

Здесь моя небольшая история успеха установки NVidia Prime, правда под Кубунту, но для общего восприятия почитать неплохо. То есть Оптимус скоро должні допилить до юзабельного состояния и под онтопиком. Пока так на «3»

Optimus в *Buntu 14.04 - назад в будущее :)

Twissel ★★★★★ ()
Последнее исправление: Twissel (всего исправлений: 1)
Ответ на: комментарий от garik_keghen

Разница между тем и тем прогоном — исключительно версия дров. По-моему вполне достаточный результат — тесты в форониксе явно не Боги с Олимпа делают.

haku ★★★★★ ()
Ответ на: комментарий от garik_keghen

Linux kernel 2.6 или выше (up to 3.11)

Это ещё что за 4.2?! У меня на генте 14.3 Catalyst с ядром 3.14 вполне себе дружит.

Deleted ()
Ответ на: комментарий от kinik

Смотря в чём. Тиринга на блобе мноооого.

Deleted ()
Ответ на: комментарий от Deleted

мои поздравления, нажми на «Подробности» и почитай. Информация с официального сайта. И это РЕКОМЕНДУЕМЫЕ требования. А то что у тебя завелось, ну хорошо. Хотя свободные драйвера не хуже, зачем ставить кактус.

garik_keghen ★★★★★ ()
Ответ на: комментарий от garik_keghen

И это РЕКОМЕНДУЕМЫЕ требования

Дык есть рекомендации, а есть требования, зависимости, без которых драйвер вообще не установится. Я уж не помню, что сейчас по иксам, но ядро 3.14 точно поддерживается официально.

UPD: А, лол, косяк-то сайта. У них постоянно какая-то лажа и с версиями драйверов, и с сайтом. В этот раз они просто взяли древние Release Notes и пихнули их в новый релиз. Ленивые негодяи!

Хотя свободные драйвера не хуже, зачем ставить кактус

Не обобщай. У меня до ядра 3.13 на свободных драйверах ноутбук вообще перегревался. Так что я не думаю, что это можно назвать хорошей работой.

Deleted ()
Ответ на: комментарий от anonymous

опять посмотрел на ирис про... и на гефорс 750.. нет не догонит.

Thero ★★★★★ ()

Загрузить

Последнее наследие для линукса вышло больше года назад - грузить нечего. Для ХРюши же новые дрова выходят http://support.amd.com/en-us/download/desktop/legacy?product=legacy2&os=Windows%20XP%20-%20Professional/Home&RenderOnServer=true без задержек, хотя там и старые работают лучше новых. ХРюша по факту живее новых линуксов:)

Napilnik ★★★★★ ()
Ответ на: комментарий от anonymous

Вау, никогда не видел этой фичи!

А теперь расскажи мне, как это поможет в ядрах версии < 3.11.

Deleted ()

Мемлик то хоть пофиксили? Тянут уже с пяток лет. Сколько помню свой ноут всегда тек драйвер любой версии, на убунтах начиная с 10.10 и до 14.04

alt0v14 ★★★ ()
Ответ на: комментарий от garik_keghen

хм, AMD Catalyst 14.4 Proprietary Linux x86 Display Driver/4/25/2014.

Посмотри ссылку на файл драйвера о котором говоришь:

http://www2.ati.com/drivers/linux/amd-catalyst-14-4-linux-x86-x86-64.zip

А у драйвера для Radeon HD серий <5000 она уже больше года вот такая:

http://www2.ati.com/drivers/legacy/amd-driver-installer-catalyst-13.1-legacy-...

Отличие в слове legacy, такие драйвера поддерживают видухи трёхтысячных и четырёхтысячных серий, а бех этого слова - нет. Первоначально АМД обещало что будет выпускать legacy драйвера каждый квартал, но уже год как выпускает их только для хрюши. Хотя зачем они там новые если у них не ставится контролцентр а старые, с установочного диска, отлично работают и на последних сервиспаках. А вот для линукса они нужны. Свободные же драйвера не занимаются цветокоррекцией, порегулировать светлые цвета, чтобы они стали потемнее, там толком нечем.

Napilnik ★★★★★ ()
Ответ на: комментарий от haku

+92% к фреймрейту, очень хорошо.

Это ж какое гавно оно раньше было.

roman77 ★★★★★ ()
Ответ на: комментарий от Quasar

Вот только полноценной переключаемой графики как не было так и нет. Хотя хоть какая-то есть (с вырубанием иксов, но таки есть, в отличие от.)

t500s ★★ ()
Ответ на: комментарий от garik_keghen

Уже почти неделя прошла, а .ebuid в официальном дереве не появился :(

grem ★★★★★ ()

В чём профит перед открытыми дровами, если у меня вот это - VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RS880M [Mobility Radeon HD 4225/4250]?

kostett ★★★ ()

Проблему с просыпанием не пофиксили?

В 14.04 на 7770 на последнем каталисте, после засыпания при запуске хрома или 3D приложений мертвый висяк.

anonymous ()

Хм, для 3.14 понадобилось:

--- firegl_public.c	2014-04-23 00:52:21.000000000 +0300
+++ firegl_public.c	2014-04-30 23:51:11.221789561 +0300
@@ -1784,7 +1784,7 @@
 #else 
 
 #ifdef current_euid
-    return current_euid();
+    return (KCL_TYPE_Uid)(current_euid().val);
 #else
     return current->euid;
 #endif

А вообще релиз на удивление хорош.

barti_ddu ()
Ответ на: комментарий от kostett

Ни в чем этот релиз не содержит поддержку твоей видеокарты.

t500s ★★ ()
Ответ на: комментарий от haku

Он про legacy драйвер. Или у тебя карта из серии hd4000 или более старая и драйвер версии 14.4 при этом устанавливается и работает?

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от grem

Я думаю он хотел ткнуть автора новости в то, что он не указал для каких серий видеокарт этот драйвер предназначен, но сделал это так тонко что никто и не понял.

haku ★★★★★ ()

Ну и как дела с HD7770, производительность увеличили?

FIL ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.